Assignee:

Category: Symbology
Easy fix?: No Copied to github as #: 24576

Description

It would be great if there was a checkbox to "keep min/max values synchronised to canvas extents" for the min/max values of raster

images. If the map was moved, this would make QGIS load new min/max values for the style color ramp and refresh accordingly.

This would greatly support exploration of DEM data and maybe more.

Examples of similar features:

"auto-exposure" in https://tangrams.github.io/heightmapper/

"Instant brightness, contrast and gamma correction" in https://www.youtube.com/watch?v=DR8l-0WajTw

History

#1 - 2017-06-07 12:05 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Feedback

Hi, it seems it's already in master :)

you have options in style options / "min/max value settings" / "Statistics extents" then choose "current canvas" 

Nice feature indeed

#2 - 2017-08-09 10:55 AM - Johannes Kroeger

I love this, thank you so much!

#3 - 2017-08-10 09:57 AM - Giovanni Manghi

Johannes Kroeger wrote:

I love this, thank you so much!

can we close this then?

#4 - 2017-08-10 05:23 PM - Johannes Kroeger

Absolutely
https://tangrams.github.io/heightmapper/
https://www.youtube.com/watch?v=DR8l-0WajTw


#5 - 2017-08-11 09:25 AM - Giovanni Manghi

- Status changed from Feedback to Closed
